This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 26993 - kernel 2.2.17-14 stalls at 'real time clock' until keypress
kernel 2.2.17-14 stalls at 'real time clock' until keypress
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-10 17:42 EST by kitchen_506
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kitchen_506 2001-02-10 17:42:18 EST
On an otherwise now reliable system see [bug 26977], my system reliably
stalls during boot just after displaying

Real Time Clock Driver v1.09

until a keypress.  I have not waited longer than 20s to see if it's just a
weird timing thing, but after several different reboots for other reasons
(see above bug), the boot continues *every time* *immediately* after a
keypress.

FWIW, I usually use the shift key as it rarely generates input that might
confuse the situation.  :-)

I installed a rebuilt i586 kernel, but noticed this as well on an md5
verified RH disti i586 kernel.  i386 untested, I'm trying to beat my poor
p120 hard enough as it is....
Comment 1 kitchen_506 2001-02-10 17:56:28 EST
sorry, forgot to rank this as high...if I put this kernel on remote servers in a
NOC, I can't remotely reboot them with confidence.
Comment 2 Need Real Name 2001-02-12 11:20:34 EST
I'd like to add a "me too". Hangs as described on a Dell XPS P90c with an 
upgraded CPU (Evergreen Spectra 233). This system worked perfectly w/ the 
2.2.16 kernel and the multiple RH 6.2 kernels.
Comment 3 kitchen_506 2001-02-12 11:29:29 EST
According to my syslog, it's right before 

Toshiba System Managment Mode driver v1.7 22/6/2000

So, it could be that as well?
Comment 4 kitchen_506 2001-02-12 11:31:36 EST
Have furthermore tested this stall to several minutes.  I would assume infinite,
but I'm not going to test out that far.
Comment 5 kitchen_506 2001-02-12 11:52:15 EST
According to ftp://ftp.us.kernel.org/pub/linux/kernel/v2.2/linux-2.2.17.log.html
, could it be that the 'added SMM driver for Toshiba laptops [update]' is
involved?  This gw2k doesn't look like it has Toshiba on it.
Comment 6 Need Real Name 2001-02-20 15:49:59 EST
Similar stall on IBM 330-P100 after Real Time Clock Driver v1.09
on both i586 and i386 rpm releases.  Requires keystroke to continue boot.
Comment 7 kitchen_506 2001-04-17 10:05:45 EDT
This may be fixed as of the 2.2.19 release, given that it fixes [bug 29558],
which was reported on RH7 and apparently got better attention.
Comment 8 kitchen_506 2001-04-17 13:45:18 EDT
Allthough this is still nominally open as a 2.2.17 issue, given that 2.2.19
works for me, *I* don't mind if it gets closed/discarded/whatever; those other
folks might though.
Comment 9 Bugzilla owner 2004-09-30 11:38:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.